Skip to content
Start here

Delete OAuth Client

client.iam.oauthClients.delete(stringoauthClientId, OAuthClientDeleteParams { account_id } params, RequestOptionsoptions?): OAuthClientDeleteResponse { id } | null
DELETE/accounts/{account_id}/oauth_clients/{oauth_client_id}

Delete an OAuth client.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
OAuth Client Write
ParametersExpand Collapse
oauthClientId: string

The unique identifier for an OAuth client.

params: OAuthClientDeleteParams { account_id }
account_id: string

Account identifier tag.

maxLength32
minLength32
ReturnsExpand Collapse
OAuthClientDeleteResponse { id }
id: string

Identifier

maxLength32
minLength32

Delete OAuth Client

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const oauthClient = await client.iam.oauthClients.delete('a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(oauthClient.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}